CocoaPods的安装

CocoaPods是Objective-C和Swift项目依赖管理的优秀工具。使用它,你可以在iOS/OS X开发时方便的引入、使用到成千上万的第三方开源代码库。使用它,它会让你的开发更加得心应手。

安装CocoaPods

CocoaPods是基于Ruby的,所幸的是OS X环境默认都是安装了Ruby环境的!当然,你也可以安装自己的ruby版本,但是官方还是建议使用系统自带的ruby。
在使用CocoaPods之前,我们需要安装它。CocoaPods的安装十分简单。在安装之前,请确保,你拥有sudo全线。
理论上,一行命令就可以搞定CocoaPods的安装:
$sudo gem install cocoapods

所不幸的是,如果你在天朝,这样的一行命令是不够的!如果你执意运行,如果没有翻墙会出现如下的错误

ERROR:  While executing gem ... (Gem::DependencyError)
    Unable to resolve dependencies: cocoapods-trunk requires netrc (= 0.7.8); activesupport requires i18n (~> 0.7)
`</pre>
还好,景德镇有ruby的镜像,我们只需要将ruby的源换成镇上的。
<pre>`// 移除官方镜像
$gem sources --remove https://rubygems.org
// https://rubygems.org/ removed from sources

// 添加taobao镜像
$gem sources --add https://ruby.taobao.org
// https://ruby.taobao.org added to sources

// 查看当前镜像
$gem sources --lsit
// *** CURRENT SOURCES ***
// https://ruby.taobao.org
`</pre>
镜像换完了,来安装吧!愉快的执行如下命令吧:
`$sudo gem install cocoapods`

安装过程会自动完成,结束了,大概会有提示:
`21 gems installed`

## 小试牛刀

<pre>`$pod search AFNetworking
`</pre>
执行完了,会出现如下的界面(速度略慢,稍安勿躁)

![CocoaPods](http://aliu.oss-cn-hangzhou.aliyuncs.com/blogs%2Fhttpbin%2Fimages%2F20160220%2F61DFB74B-439D-4D29-AB46-D6F7E42D57BC.png)
  • 这里有个更新提醒,建议更新,因为老板本的CocoaPods可能不能正确的拿到最新的代码库(当然,这里只是一个预览版)。
    $sudo gem install cocoapods --pre

    $pod search AFNetworking
    如你所见,这个命令会列出所有包含关键词的代码库,十分方便,我们可以选择自己需要的。重点关注
    pod 'AFNetworking', '~-&gt; 3.0.4'

    • podfile中的格式非常严格,建议你这里先复制这一句!

    常用操作

    `$pod –version 查看本级的CocoaPods版本
    $sudo gem update –system 升级gem
    $sodo gem install cocoapods 安装CocoaPods
    $pod setup 执行安装过程
    $pod search repoName 搜索代码库